{% extends 'back.html.twig' %}
{% block title %}GuyDemarle index{% endblock %}

{% block body %}
    <h1 class="my-3 text-primary text-center">Listes moules GuyDemarle</h1>

    <div class="m-3">
        <a href="{{ path('admin_guydemarle_new') }}" class="btn btn-secondary text-white">Créer nouveau moule</a>
    </div>

    <table class="table table-striped text-center">
        <thead>
            <tr>
                <th>Nom</th>
                <th>Description</th>
                <th>Image</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for guydemarle in guydemarles %}
            <tr>
                <td>{{ guydemarle.name }}</td>
                <td style="max-width: 50vh;">{{ guydemarle.description }}</td>
                <td>
                    {% if guydemarle.fileName %}
                        <img src="{{ vich_uploader_asset(guydemarle, 'imageFile') | imagine_filter('little') }}" alt="card-img-top" class="img-fluid">
                    {% else %}
                        <img src="{{ 'images/empty.jpg' | imagine_filter('little') }}" alt="card-img-top" class="img-fluid">
                    {% endif %}
                </td>
                <td>
                    <div class="w-100 h-100 d-flex align-items-center justify-content-around">
                        <a href="{{ path('admin_guydemarle_show', {'id': guydemarle.id}) }}" class="btn btn-secondary text-white">Voir</a>
                        <a href="{{ path('admin_guydemarle_edit', {'id': guydemarle.id}) }}" class="btn btn-primary text-white">Éditer</a>
                        {{ include('admin/guydemarle/_delete_form.html.twig') }}
                    </div>
                </td>
            </tr>
        {% else %}
            <tr class="text-center">
                <td colspan="7">Il n'y a pas encore de moule GuyDemarle.</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
